Bug 1405203 - No longer can use System V interface scripts with CUPS
Summary: No longer can use System V interface scripts with CUPS
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-15 20:55 UTC by Robin A. Meade
Modified: 2018-01-02 09:03 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-16 08:42:09 UTC


Attachments (Terms of Use)

Description Robin A. Meade 2016-12-15 20:55:26 UTC
lpadmin -p print-queue-name -i /path/to/interface/script -v socket://ip.addr.of.printer/ -E

Prior to Fedora 25, the above command would install the specified script to /etc/cups/interfaces and create the queue.

In Fedora 25, it gives error:

lpadmin: Unable to open PPD "/path/to/interface/script": Missing asterisk in column 1 on line 1.
lpadmin: Bad PPD file.

Xerox Print Driver software relies on the old behavior. Example:

http://forum.support.xerox.com/t5/General-Information/WorkCentre-6605DN-problem-with-Linux-Driver/td-p/196987

Comment 1 Jiri Popelka 2016-12-16 08:02:25 UTC
Since cups-2.2 interface scripts have no longer been supported upstream for security reasons:

https://github.com/apple/cups/blob/master/CHANGES.txt#L103

Comment 2 Zdenek Dohnal 2016-12-16 08:42:09 UTC
Thank you, Jirka.

I am sorry, Robin, but as Jirka said, this feature is no more supported in CUPS. Its adding would be divergence from upstream and it is security issue. Closing this bug as WONTFIX.

Comment 3 Robin A. Meade 2016-12-17 02:05:35 UTC
OK, thanks Jiri and Zdenek.

I have reported the problem in Xerox support forum:

http://forum.support.xerox.com/t5/Printing/Xerox-Linux-Drivers-need-updating-for-CUPS-2-2/td-p/199146

WORKAROUND: Downgrade from CUPS 2.2.x to CUPS 2.1.x

1. Go to https://koji.fedoraproject.org/koji/

2. Search for latest cups build for Fedora 24

3. sudo dnf install <urls to cups cups-client cups-filesystem cups-libs cups-lpd>

4. Prevent updates from upgrading these cups packages:

  echo 'exclude=cups cups-client cups-filesystem cups-libs cups-lpd' \
    | sudo tee -a /etc/dnf/dnf.conf

I was then able to use the Xerox Linux Drivers to install System V Interface queues and print color documents.

Comment 4 Robin A. Meade 2017-12-22 03:10:13 UTC
Just wanted to add a note that I don't need the above workaround any more. The latest Xerox Linux Driver for Xerox WorkCentre 7830/7835/7845/7855 worked fine on Fedora 27.

Comment 5 Zdenek Dohnal 2018-01-02 09:03:26 UTC
Thank you for information, Robin!


Note You need to log in before you can comment on or make changes to this bug.